#if Server
/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2018-10-20
 * 时间: 13:48
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using System.Xml;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace GameData
{
    /// <summary>
    /// 城堡配置 用来控制赔率
    /// </summary>
    public class CastleConfig
    {
        /// <summary>
        /// 所拥有的厅id
        /// </summary>
        public int[] tingids;

        /// <summary>
        /// 房间的赔率
        /// </summary>
        public int peilv;

        /// <summary>
        /// 0金币 1比赛 2朋友
        /// </summary>
        public int roomMode;

        /// <summary>
        /// 房间的税收
        /// </summary>
        public int tax;

        /// <summary>
        /// 房间打一局获得的经验
        /// </summary>
        public int exp;

        /// <summary>
        /// 最小可进入城堡的游戏币金额
        /// </summary>
        public int minMoney;

        /// <summary>
        /// 最大可进入城堡的游戏币金额
        /// </summary>
        public int maxMoney;

        /// <summary>
        /// 
        /// </summary>
        public CastleConfig() { }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("赔率:");
            sb.Append(this.peilv);
            sb.Append(Environment.NewLine);
            sb.Append("税收:");
            sb.Append(this.tax);
            sb.Append(Environment.NewLine);
            sb.Append("经验加成:");
            sb.Append(this.exp);
            sb.Append(Environment.NewLine);
            sb.Append("最小可进游戏币:");
            sb.Append(this.minMoney);
            sb.Append(Environment.NewLine);
            sb.Append("最大可进游戏币:");
            sb.Append(this.maxMoney);
            sb.Append(Environment.NewLine);
            return base.ToString();
        }
    }
}
#endif